KD Chart 2: PrerenderedElement class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PrerenderedElement Class Reference

`#include <KDChartTextLabelCache.h>`

Inheritance diagram for PrerenderedElement:

[legend]
Collaboration diagram for PrerenderedElement:
[legend]
List of all members.

## Public Member Functions
virtual const QPixmap & | pixmap () const=0
| Returns the rendered element.
const QPointF & | position () const
| Get the position of the element.
| PrerenderedElement ()
KDChartEnums::PositionValue | referencePoint () const
| Get the reference point of the element.
virtual QPointF | referencePointLocation (KDChartEnums::PositionValue) const=0
| Return the location of the reference point relatively to the pixmap's origin.
void | setPosition (const QPointF &position)
| Set the position of the element.
void | setReferencePoint (KDChartEnums::PositionValue)
| Set the reference point of the element.
virtual | ~PrerenderedElement ()
## Protected Member Functions
virtual void | invalidate () const=0
| invalidate() needs to be called if any of the properties that determine the visual appearance of the prerendered element change.

## Constructor & Destructor Documentation

PrerenderedElement::PrerenderedElement | ( |  | ) |

| Definition at line 30 of file KDChartTextLabelCache.cpp.
    00031     : m_referencePoint( KDChartEnums::PositionNorthWest )
    00032 {
    00033 }

virtual PrerenderedElement::~PrerenderedElement | ( |  | ) | `[virtual]`

| Definition at line 13 of file KDChartTextLabelCache.h.
    00013 {}

## Member Function Documentation

virtual void PrerenderedElement::invalidate | ( |  | ) | const`[protected, pure virtual]`

| invalidate() needs to be called if any of the properties that determine the visual appearance of the prerendered element change. It can be called for a const object, as objects may need to force recalculation of the pixmap. Implemented in PrerenderedLabel.

virtual const QPixmap& PrerenderedElement::pixmap | ( |  | ) | const`[pure virtual]`

| Returns the rendered element. If any of the properties have change, the element will be regenerated. Implemented in PrerenderedLabel.

const QPointF & PrerenderedElement::position | ( |  | ) | const

| Get the position of the element. Definition at line 40 of file KDChartTextLabelCache.cpp.
    00041 {
    00042     return m_position;
    00043 }

KDChartEnums::PositionValue PrerenderedElement::referencePoint | ( |  | ) | const

| Get the reference point of the element. Definition at line 50 of file KDChartTextLabelCache.cpp. Referenced by PrerenderedLabel::referencePointLocation().
    00051 {
    00052     return m_referencePoint;
    00053 }

virtual QPointF PrerenderedElement::referencePointLocation | ( | KDChartEnums::PositionValue |  | ) | const`[pure virtual]`

| Return the location of the reference point relatively to the pixmap's origin. Implemented in PrerenderedLabel.

void PrerenderedElement::setPosition | ( | const QPointF & | position | ) |

| Set the position of the element. Definition at line 35 of file KDChartTextLabelCache.cpp.
    00036 {   // this does not invalidate the element
    00037     m_position = position;
    00038 }

void PrerenderedElement::setReferencePoint | ( | KDChartEnums::PositionValue |  | ) |

| Set the reference point of the element. Every element has nine possible reference points (all compass directions, plus the center. Definition at line 45 of file KDChartTextLabelCache.cpp.
    00046 {   // this does not invalidate the element
    00047     m_referencePoint = point;
    00048 }

The documentation for this class was generated from the following files:

- KDChartTextLabelCache.h
- KDChartTextLabelCache.cpp